ClientFunctionalityDeployReport (gCube VRE Deploy Wizard Portlet 3.4.0-SNAPSHOT API)
Date: 2015-11-02

org.gcube.portlets.admin.vredeployer.shared.deployreport

## Class ClientFunctionalityDeployReport

- java.lang.Object
- - org.gcube.portlets.admin.vredeployer.shared.deployreport.ClientFunctionalityDeployReport

- All Implemented Interfaces:
    Serializable

      public class ClientFunctionalityDeployReport
      extends Object
      implements Serializable

  Author:
    massi
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientFunctionalityDeployReport()`
    `ClientFunctionalityDeployReport(DeployStatus globalstatus, String reportXML, HashMap<ClientFunctionalityReport,List<ClientServiceReport>> funTable)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `HashMap<ClientFunctionalityReport,List<ClientServiceReport>>` | `getFunTable()`
    `String` | `getReportXML()`
    `DeployStatus` | `getStatus()`
    `void` | `setFunTable(HashMap<ClientFunctionalityReport,List<ClientServiceReport>> funTable)`
    `void` | `setReportXML(String reportXML)`
    `void` | `setStatus(DeployStatus globalstatus)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientFunctionalityDeployReport

          public ClientFunctionalityDeployReport()

    - #### ClientFunctionalityDeployReport

          public ClientFunctionalityDeployReport(DeployStatus globalstatus,
                                         String reportXML,
                                         HashMap<ClientFunctionalityReport,List<ClientServiceReport>> funTable)

      Parameters:
        `globalstatus` -
        `reportXML` -
        `funTable` -

  - ### Method Detail

    - #### getStatus

          public DeployStatus getStatus()

      Returns:

    - #### setStatus

          public void setStatus(DeployStatus globalstatus)

      Parameters:
        `globalstatus` -

    - #### getFunTable

          public HashMap<ClientFunctionalityReport,List<ClientServiceReport>> getFunTable()

      Returns:

    - #### setFunTable

          public void setFunTable(HashMap<ClientFunctionalityReport,List<ClientServiceReport>> funTable)

      Parameters:
        `funTable` -

    - #### getReportXML

          public String getReportXML()

      Returns:

    - #### setReportXML

          public void setReportXML(String reportXML)

      Parameters:
        `reportXML` -

Copyright © 2015. All Rights Reserved.